org.eclipse.viatra.query.runtime.rete.eval

## Class RelationEvaluatorNode.BatchingReceiver

- java.lang.Object
- - org.eclipse.viatra.query.runtime.rete.network.BaseNode
  - - org.eclipse.viatra.query.runtime.rete.misc.SimpleReceiver
    - - org.eclipse.viatra.query.runtime.rete.eval.RelationEvaluatorNode.BatchingReceiver

- All Implemented Interfaces:
    Node, Receiver
  Enclosing class:
    RelationEvaluatorNode

      public class RelationEvaluatorNode.BatchingReceiver
      extends SimpleReceiver

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.viatra.query.runtime.rete.misc.SimpleReceiver

      `mailbox, parent`

    - ### Fields inherited from class org.eclipse.viatra.query.runtime.rete.network.BaseNode

      `nodeId, reteContainer, tag, traceInfos`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `batchUpdate(java.util.Collection<java.util.Map.Entry<Tuple,java.lang.Integer>> updates, Timestamp timestamp)` Updates the receiver in batch style with a collection of updates.
    `void` | `update(Direction direction, Tuple updateElement, Timestamp timestamp)` Updates the receiver with a newly found or lost partial matching.

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.rete.misc.SimpleReceiver

      `appendParent, assignTraceInfo, disconnectFromNetwork, getMailbox, getParents, instantiateMailbox, removeParent`

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.rete.network.BaseNode

      `acceptPropagatedTraceInfo, getContainer, getNodeId, getTag, getTraceInfoPatternsEnumerated, getTraceInfos, setTag, toString, toStringCore`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.viatra.query.runtime.rete.network.Node

      `acceptPropagatedTraceInfo, getCommunicationTracker, getContainer, getNodeId, getTag, getTraceInfos, setTag`

- - ### Method Detail

    - #### update

          public void update(Direction direction,
                             Tuple updateElement,
                             Timestamp timestamp)

      Description copied from interface: `Receiver`
      Updates the receiver with a newly found or lost partial matching.

    - #### batchUpdate

          public void batchUpdate(java.util.Collection<java.util.Map.Entry<Tuple,java.lang.Integer>> updates,
                                  Timestamp timestamp)

      Description copied from interface: `Receiver`
      Updates the receiver in batch style with a collection of updates. The input collection consists of pairs in the form (t, c) where t is an update tuple and c is the count. The count can also be negative, and it specifies how many times the tuple t gets deleted or inserted. The default implementation of this method simply calls `Receiver.update(Direction, Tuple, Timestamp)` individually for all updates.